org.apache.ignite.internal.visor.node

## Class VisorNodeDataCollectorTaskResult

- java.lang.Object
- - org.apache.ignite.internal.visor.node.VisorNodeDataCollectorTaskResult

All Implemented Interfaces:
  Serializable

    public class VisorNodeDataCollectorTaskResult
    extends Object
    implements Serializable

Data collector task result.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorNodeDataCollectorTaskResult()`

### Method Summary

Methods
`Map<UUID,Collection<VisorCache>>` `caches()`
`Map<UUID,VisorExceptionWrapper>` `cachesEx()`
`Map<UUID,Long>` `errorCounts()`
`List<VisorGridEvent>` `events()`
`Map<UUID,VisorExceptionWrapper>` `eventsEx()`
`Map<UUID,String>` `gridNames()`
`Map<UUID,Collection<VisorIgfsEndpoint>>` `igfsEndpoints()`
`Map<UUID,Collection<VisorIgfs>>` `igfss()`
`Map<UUID,VisorExceptionWrapper>` `igfssEx()`
`boolean` `isEmpty()`
`Map<UUID,Boolean>` `taskMonitoringEnabled()`
`Map<UUID,Long>` `topologyVersions()`
`Map<UUID,VisorExceptionWrapper>` `unhandledEx()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorNodeDataCollectorTaskResult

    public VisorNodeDataCollectorTaskResult()

### Method Detail

#### isEmpty

    public boolean isEmpty()

Returns:
  `true` If no data was collected.

#### unhandledEx

    public Map<UUID,VisorExceptionWrapper> unhandledEx()

Returns:
  Unhandled exceptions from nodes.

#### gridNames

    public Map<UUID,String> gridNames()

Returns:
  Nodes grid names.

#### topologyVersions

    public Map<UUID,Long> topologyVersions()

Returns:
  Nodes topology versions.

#### taskMonitoringEnabled

    public Map<UUID,Boolean> taskMonitoringEnabled()

Returns:
  All task monitoring state collected from nodes.

#### events

    public List<VisorGridEvent> events()

Returns:
  All events collected from nodes.

#### eventsEx

    public Map<UUID,VisorExceptionWrapper> eventsEx()

Returns:
  Exceptions caught during collecting events from nodes.

#### caches

    public Map<UUID,Collection<VisorCache>> caches()

Returns:
  All caches collected from nodes.

#### cachesEx

    public Map<UUID,VisorExceptionWrapper> cachesEx()

Returns:
  Exceptions caught during collecting caches from nodes.

#### igfss

    public Map<UUID,Collection<VisorIgfs>> igfss()

Returns:
  All IGFS collected from nodes.

#### igfsEndpoints

    public Map<UUID,Collection<VisorIgfsEndpoint>> igfsEndpoints()

Returns:
  All IGFS endpoints collected from nodes.

#### igfssEx

    public Map<UUID,VisorExceptionWrapper> igfssEx()

Returns:
  Exceptions caught during collecting IGFS from nodes.

#### errorCounts

    public Map<UUID,Long> errorCounts()

Returns:
  Nodes error counts.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015